Name:           htmltmpl
Version:        1.22
Release:        0.fdr.4.2
Epoch:          0
Summary:        Templating engine for separation of code and HTML

Group:          Development/Libraries
License:        GPL
URL:            http://htmltmpl.sourceforge.net/
Source0:        http://download.sourceforge.net/htmltmpl/htmltmpl-1.22.tar.gz
Patch0:         %{name}-performance.patch
Patch1:         %{name}-docs.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  python-devel
Requires:       python

%description
The purpose of the templating engine is to provide web application
developers, who need to separate program code and design (HTML code)
of their web application projects, with a templating tool that can be
easily used by cooperating webdesigners who have no programming
skills.
This package includes easydoc, a module which uses the templating
engine to generate HTML documentation from docstrings embedded in
source files of Python modules.


%prep
%setup -q
%patch0 -p0
%patch1 -p0


%build
python setup.py build
python test.py


%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root $RPM_BUILD_ROOT
for file in easydoc easydocp htmltmpl; do
  touch $(ls -1d $RPM_BUILD_ROOT%{_libdir}/python*)/site-packages/$file.pyo
done
install -D -m 0755 easy.py $RPM_BUILD_ROOT%{_bindir}/easydoc
install -m 0755 tmpl-xgettext.pl $RPM_BUILD_ROOT%{_bindir}
rm -f doc/makedoc.sh


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes LICENSE PKG-INFO README TODO VERSION doc
%{_bindir}/*
%{_libdir}/python*/site-packages/*.py
%{_libdir}/python*/site-packages/*.pyc
%ghost %{_libdir}/python*/site-packages/*.pyo


%changelog
* Sun Aug 24 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.22-0.fdr.4
- Use --root $RPM_BUILD_ROOT instead of --prefix $RPM_BUILD_ROOT%%{_prefix}.
- Include (%%ghost'd) *.pyo.

* Wed Jul  9 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.22-0.fdr.3
- Include performance and docs improvement patches (submitted upstream).

* Tue Jul  1 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.22-0.fdr.2
- Install tmpl-xgettext.pl too.

* Sun Jun 29 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.22-0.fdr.1
- First build.
